Wbemcli.IWbemContext (JNA API)
Description: declaration: package: com.sun.jna.platform.win32.COM, interface: Wbemcli, class: IWbemContext

Package com.sun.jna.platform.win32.COM

# Class Wbemcli.IWbemContext

java.lang.Object
com.sun.jna.PointerType
com.sun.jna.platform.win32.COM.COMInvoker
com.sun.jna.platform.win32.COM.Unknown
com.sun.jna.platform.win32.COM.Wbemcli.IWbemContext

All Implemented Interfaces:
  `NativeMapped`, `IUnknown`

Enclosing interface:
  Wbemcli

public static class Wbemcli.IWbemContext extends Unknown
Optionally used to communicate additional context information to providers when submitting IWbemServices calls to WMI

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.platform.win32.COM.Unknown

  `Unknown.ByReference`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Guid.CLSID`
  `CLSID_WbemContext`
  `static final Guid.GUID`
  `IID_IWbemContext`

  ### Fields inherited from interface com.sun.jna.platform.win32.COM.IUnknown

  `IID_IUNKNOWN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IWbemContext()`
  `IWbemContext(Pointer pvInstance)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Wbemcli.IWbemContext`
  `create()`
  `void`
  `SetValue(String wszName, int lFlag, boolean pValue)`
  `void`
  `SetValue(String wszName, int lFlag, Variant.VARIANT pValue)`
  `void`
  `SetValue(String wszName, int lFlag, String pValue)`

  ### Methods inherited from class com.sun.jna.platform.win32.COM.Unknown

  `AddRef, QueryInterface, Release`

  ### Methods inherited from class com.sun.jna.platform.win32.COM.COMInvoker

  `_invokeNativeInt, _invokeNativeObject, _invokeNativeVoid`

  ### Methods inherited from class com.sun.jna.PointerType

  `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CLSID_WbemContext

    public static final Guid.CLSID CLSID_WbemContext

  - ### IID_IWbemContext

    public static final Guid.GUID IID_IWbemContext

- ## Constructor Details

  - ### IWbemContext

    public IWbemContext()

  - ### IWbemContext

    public IWbemContext(Pointer pvInstance)

- ## Method Details

  - ### create

    public static Wbemcli.IWbemContext create()

  - ### SetValue

    public void SetValue(String wszName, int lFlag, Variant.VARIANT pValue)

  - ### SetValue

    public void SetValue(String wszName, int lFlag, boolean pValue)

  - ### SetValue

    public void SetValue(String wszName, int lFlag, String pValue)